uulib-0.9.24: Haskell Utrecht Tools Library

Safe Haskell | Safe
Language | Haskell98

UU.Scanner.GenTokenOrd

Contents

- Orphan instances

# Orphan instances

(Eq key, Eq tp) => Eq (GenToken key tp val) Source # |
Instance details Methods (==) :: GenToken key tp val -> GenToken key tp val -> Bool (/=) :: GenToken key tp val -> GenToken key tp val -> Bool
(Ord key, Ord tp) => Ord (GenToken key tp val) Source # |

Instance details

Methods

compare :: GenToken key tp val -> GenToken key tp val -> Ordering

(<) :: GenToken key tp val -> GenToken key tp val -> Bool

(<=) :: GenToken key tp val -> GenToken key tp val -> Bool

(>) :: GenToken key tp val -> GenToken key tp val -> Bool

(>=) :: GenToken key tp val -> GenToken key tp val -> Bool

max :: GenToken key tp val -> GenToken key tp val -> GenToken key tp val

min :: GenToken key tp val -> GenToken key tp val -> GenToken key tp val